Bluetooth devices (Jabra BT250, Audi A3 car kit) can not be connected with BQ Aquaris 4.5

Bug #1500242 reported by Uranicus on 2015-09-27
94
This bug affects 19 people
Affects Status Importance Assigned to Milestone
Canonical System Image
Critical
Unassigned
bluez (Ubuntu)
Undecided
Simon Fels
ofono (Ubuntu)
Undecided
Tony Espy

Bug Description

STEPS:
Requirements: Aquaris E4.5, Jabra BT250 blue tooth handset device (rather old one supports blue tooth 1.1 and therefore I thought should be no issue) or Audi car kit (A3 2012 model)

1. Put Jabra BT250 into receiving mode
2. Phone searches automatically every 15 - 30 seconds for a new blue tooth device
3. Phone finds Jabra BT250 and asks for pairing code
4. Enter code into phone
5. Jabra BT250 automatically exits the pairing mode (which is a sign that pairing should have worked)
6. Phone looses connection to Jabra BT250
7. Manual reconnection via phone works (shows Jabra BT250 as being connected) but ignores the device

Same behaviour with Audi car kit (Audi A3, 2012 model)

EXPECTED:
I expect that the blue tooth kits work similar to my Seat Alhambra (also 2012 model) where the blue tooth pairing etc. works great (except some bugs which are already filed).

ACTUAL:
No connection to the blue tooth device

VERSIONS:
OS-Build-Number: 25
Ubuntu-Image: 20150825.1

POSSIBLE ROOT CAUSE:
Is this issue also solved as soon as bluez5 is implemented? When will this be?

Simon Fels (morphis) wrote :

It looks like you're still on ota5. Can you make sure you applied all recent OS updates? We've fixed some problems in the settings application with ota6 which should really improve the behavior you're seeing here.

tags: added: after-bluez5 bluetooth
Changed in bluez (Ubuntu):
assignee: nobody → Simon Fels (morphis)
Uranicus (matthias.ritter) wrote :

Simon, thanks for the answer. How can I find out if I am still on OTA5? I expect to be on OTA6 since I have applied all updates. What can I do more than:

    go to "Settings"
    select "Updates"
    an the phone tells me "Software is up-to-date"

(I am using the German version of the phone, so my translation might be not exactly matching with the current English terms)

Matthias

Pat McGowan (pat-mcgowan) wrote :

r25 is ota6

Changed in canonical-devices-system-image:
assignee: nobody → John McAleely (john.mcaleely)
status: New → Confirmed
Simon Fels (morphis) wrote :

Can somebody retest this with bluez5 landed in recent rc-proposed?

tags: added: bt-retest

Dear all,

Audi A3, car kit:

I have tested the rc-propsed version with my Car kit Audi A3 2012 model. There has been no significant change with this set-up. I can pair the phone with the car kit but can not establish a connection between the two. So there is not much to report here ....

------------------

Jabra BT250:

OLD PROCEDURE WHEN I FILED THE BUG (OTA-7)
STEPS: Requirements: Aquaris E4.5, Jabra BT250 blue tooth handset device (rather old one supports blue tooth 1.1
and therefore I thought should be no issue) or Audi car kit (A3 2012 model)

1. Put Jabra BT250 into receiving mode
2. Phone searches automatically every 15 - 30 seconds for a new blue tooth device
3. Phone finds Jabra BT250 and asks for pairing code
4. Enter code into phone
5. Jabra BT250 automatically exits the pairing mode (which is a sign that pairing should have worked)
6. Phone looses connection to Jabra BT250
7. Manual reconnection via phone works (shows Jabra BT250 as being connected) but ignores the device

NOW WITH rc-proposed (Ubuntu 15.04, r191, 30.11.2015)

3. Phone finds Jabra BT250 and DOES NOT ask for pairing code

Jabra BT250 is connected and I can take a call with the headset and end a call with the headset.

BUT:
Once I have disconnected the headset (turned off the headset) and wanted to reconnect it again (automatic reconnection
enabled in the phone), the device will not be reconnected again. Instead of the headset symbol it shows a loudspeaker symbol ...).
I need to restart the phone and pair it again to use it propoerly (until I disconnect it again).

---------------------------

Car kit of Seat Alhambra (2012 model)

There were the following issues with the car kit:

now solved: German Umlaut (ä, ö, ü) not correctly displayed in phone book

now solved: battery indicator always showing full battery

It works. First I came to a different conclusion because I expected a different behaviour. With 67% battery power (phone) the car kit showed a full battery (4/4 battery blockes).
When I was travelling the last days I saw that:

40% battery power switches between 2/4 to 3/4 blocks of battery power in the display
approx. 65% battery power switches between 3/4 to 4/4 blocks of battery power in the display

So it works but the calibration between battery power phone vs. car should be improved.

not solved yet: list with: incoming, missed, placed calls empty

not tested yet: 2nd SIM (I currently do not have a 2nd SIM)

-----------------------------------------

Bluetooth mouse

After OTA-8 I wanted to test the convergence features with my BQ Aquaris 4.5. I bought a bluetooth mouse (Logitech, LogiLink ID0078). Nothing happend, eventhough I could pair the mouse (including the phone asking for a pairing code) I was not able to use the mouse.

Now with r191 I was able to pair the mouse successfully (even several times, so this shows a different bahaviour than the Jabra device).

-------------------------------------------

Thanks for all the development work you put into this great product. I hope my feedback helps a bit

Simon Fels (morphis) on 2015-12-03
tags: added: bluetooth-ota9
Simon Fels (morphis) wrote :

@Tony: Can you have a look at the battery glitches?

Changed in ofono (Ubuntu):
assignee: nobody → Tony Espy (awe)
Tony Espy (awe) on 2015-12-03
summary: - Bluetooth device (Jabra BT250, Audi A3 car kit) can not be connected
+ Bluetooth devices (Jabra BT250, Audi A3 car kit) can not be connected
with BQ Aquaris 4.5
Tony Espy (awe) wrote :

@Simon

Regarding the battery mismatch, the HFP 1.6 specification ( section 4.33.2 AT Capabilities Re-Used from GSM 07.07 and 3GPP 27.007 ) documents that the battery level is indicated by an integer between 0 and 5. For a battery percentage of 1 or less, we indicate 0. Above 1%, we divide by 20 and add 1, giving us roughly five equal ranges in 20% increments.

If the battery display in the car has only four bars ( as opposed to five ), then it's not going to match up correctly, and the results will be skewed. I'm changing the ofono task to Incomplete.

@Uranicus

Thanks for your thorough testing! When testing non-standard images ( eg. from rc-proposed ), please attach the details image information from the command 'system-image-cli -i' ( run on the device ).

It sounds like Bluez5 improves one of the two original devices in your description ( eg. the Jabra ), however there still are some issues with it. I'll leave it up to Simon as to whether he'd like you to open a new bug for the specific re-connection failure described.

More work is needed apparently to get things working with your A3.

Also, regarding your A3, I'd be interested if it displays more bars for the phone battery level than the Seat.

Changed in ofono (Ubuntu):
status: New → Incomplete
Simon Fels (morphis) wrote :

@Tony: Thanks!

@Uranicus:

A couple of questions:

- First: For all things please follow https://wiki.ubuntu.com/DebuggingBluetooth so that we get some more detailed logs of what is going on in your system. That would be great and would allow us to debug this.

- When you disconnect your Jabra headset and reconnect it what are the exacts steps? What does "the device will not be reconnected again." mean? You're just sitting there wand waiting for it to reconnect or did you press any buttons? Please describe the steps in detail.

- "Instead of the headset symbol it shows a loudspeaker symbol": That could be something we can't change. This is encoded in the class-of-device field the device provides and if it is saying "I am a speaker" rather than a "I am a headset" we don't have any chance. The bluetoothctl command output asked for in https://wiki.ubuntu.com/DebuggingBluetooth would be helpful for this. We already saw quite a few headsets having exactly this behavior.

- "list with: incoming, missed, placed calls empty" is a missing feature. Duplicates https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1479442

- "not tested yet: 2nd SIM (I currently do not have a 2nd SIM)" will not work until https://bugs.launchpad.net/ubuntu/+source/telephony-service/+bug/1418040 is fixes. Duplicte as well.

I Will consider this bug only for the Jabra headset from now on. The issues for the A3 seems to have fixed and the outstanding things are just missing feature already tracked in other bugs linked above.

Uranicus (matthias.ritter) wrote :

@Simon:

I will retest with the debugging bluetooth tips.

Abou the A3 issue. I wrote:

-----
Audi A3, car kit:

I have tested the rc-propsed version with my Car kit Audi A3 2012 model. There has been no significant change with this set-up. I can pair the phone with the car kit but can not establish a connection between the two. So there is not much to report here ....
-----

So it is not yet fixed! I will roll back to rc-proposed and follow the above mentioned steps hopefully during the weekend. I hope to give you then a good feedback.

@Tony & Simon:

I did the test with the following rc-proposed version:

current build number: 191
device name: krillin
channel: ubuntu-touch/rc-proposed/bq-aquaris.en
last update: 2015-11-30 17:03:26
version version: 191
version ubuntu: 20151130
version device: 20151028-869191d
version custom: 20151111--36-46-vivid

Simon Fels (morphis) wrote :

Ah sorry, confused that. The log files for the A3 would be great too then.

Changed in bluez (Ubuntu):
status: New → Incomplete
Uranicus (matthias.ritter) wrote :
Download full text (6.4 KiB)

First a feedback of the tests with the Jabra BT250 device. Please see my report and the logfiles in the attachment.

I am also posting the plain text here which I have attached as pdf & odt-file.

--------------------- Text ------------------------

Reporting on Bluetooth bug 1500242
System Information of the device
Detailed image information of the system used for testing
system-image-cli -i:

current build number: 196
device name: krillin
channel: ubuntu-touch/rc-proposed/bq-aquaris.en
last update: 2015-12-05 18:28:01
version version: 196
version ubuntu: 20151204.1
version device: 20151028-869191d
version custom: 20151111–36-46-vivid

hciconfig -a

hci0: Type: BR/EDR Bus: UART
 BD Address: 4C:74:03:64:75:ED ACL MTU: 1021:4 SCO MTU: 184:1
 UP RUNNING PSCAN
 RX bytes:1054 acl:0 sco:0 events:56 errors:0
 TX bytes:3734 acl:0 sco:0 commands:56 errors:0
 Features: 0xbf 0x3e 0x8d 0xfe 0xdb 0xff 0x5b 0x87
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy: RSWITCH SNIFF
 Link mode: SLAVE ACCEPT
 Name: 'Aquaris E4.5 Ubuntu Edition'
 Class: 0x5c0110
 Service Classes: Rendering, Capturing, Object Transfer, Telephony
 Device Class: Computer, Handheld
 HCI Version: 4.0 (0x6) Revision: 0x0
 LMP Version: 4.0 (0x6) Subversion: 0x0
 Manufacturer: MediaTek, Inc. (70)

bluetoothctl

[NEW] Controller 4C:74:03:64:75:ED Aquaris E4.5 Ubuntu Edition [default]
[NEW] Device 90:03:B7:46:8E:E9 SEAT_BT
[NEW] Device 00:80:00:00:15:76 Bluetooth Mouse

[bluetooth]# show

Controller 4C:74:03:64:75:ED
 Name: Aquaris E4.5 Ubuntu Edition
 Alias: Aquaris E4.5 Ubuntu Edition
 Class: 0x5c0110
 Powered: yes
 Discoverable: no
 Pairable: yes
 UUIDs:
   Headset AG (00001112-0000-1000-8000-00805f9b34fb)
   Generic Attribute Profile (00001801-0000-1000-8000-00805f9b34fb)
   A/V Remote Control (0000110e-0000-1000-8000-00805f9b34fb)
   SIM Access (0000112d-0000-1000-8000-00805f9b34fb)
   Generic Access Profile (00001800-0000-1000-8000-00805f9b34fb)
   PnP Information (00001200-0000-1000-8000-00805f9b34fb)
   A/V Remote Control Target (0000110c-0000-1000-8000-00805f9b34fb)
   Audio Source (0000110a-0000-1000-8000-00805f9b34fb)
   Audio Sink (0000110b-0000-1000-8000-00805f9b34fb)
   Handsfree Audio Gateway (0000111f-0000-1000-8000-00805f9b34fb)
   Message Notification Se.. (00001133-0000-1000-8000-00805f9b34fb)
   Phonebook Access Server (0000112f-0000-1000-8000-00805f9b34fb)
 Modalias: usb:v1D6Bp0246d0523
 Discovering: no
Modifications on the device (debugging information)
sudo mount -o remount,rw /
Since no bluetooth-override file was available I used:

sudo sed -i 's/exec \/usr\/sbin\/bluetoothd/exec \/usr\/sbin\/bluetoothd -d/g' /etc/init/bluetooth.conf
sudo sed -i 's/--start/--start --log-level=debug/g' /usr/share/upstart/sessions/pulseaudio.conf
I was not 100% sure about the ofono modifications: “Add '-d' to the exec line in /etc/init/ofono.override”. I have modified the line in ofono.override to:

exec ofonod -P -d provision,udev*,dun*,smart*,hfp_bluez5,stktest,sap

I tested this 2 times.
1. I have restarted the phone after these modifications (logfile start with 1_*).
2. I h...

Read more...

Uranicus (matthias.ritter) wrote :

One add-on to the Jabra device:

I realized that I have missed to put the "bluetoothctl", "info" data in the report above (1). So I did the same procedure as above again today and acquired the info data. But I also managed to get the info data the second time after I have turned the Jabra off and back on again before it looses connection (2). The difference is that the "ConnectedProfiles:" section is empty:

Information about the Jabra device directly after pairing before I have turned it off and on again:

[JABRA 250]# info
Device 00:07:A4:00:A7:05
 Name: JABRA 250
 Alias: JABRA 250
 Class: 0x200404
 Icon: audio-card
 Paired: yes
 Trusted: yes
 Blocked: no
 Connected: yes
 ConnectedProfiles:
   Headset (00001108-0000-1000-8000-00805f9b34fb)
   Handsfree (0000111e-0000-1000-8000-00805f9b34fb)
 LegacyPairing: yes
 UUIDs:
   Headset (00001108-0000-1000-8000-00805f9b34fb)
   Handsfree (0000111e-0000-1000-8000-00805f9b34fb)

Information about the Jabra device after I have turned it off and on again (before it looses connection to the phone):

[JABRA 250]# info
Device 00:07:A4:00:A7:05
 Name: JABRA 250
 Alias: JABRA 250
 Class: 0x20040c
 Icon: audio-card
 Paired: yes
 Trusted: yes
 Blocked: no
 Connected: yes
 ConnectedProfiles:
   None
 LegacyPairing: yes
 UUIDs:
   Headset (00001108-0000-1000-8000-00805f9b34fb)
   Handsfree (0000111e-0000-1000-8000-00805f9b34fb)

Hope this also helps in finding the issue.

Simon Fels (morphis) wrote :

@Uranicus: Awesome writeup! Thanks a lot. However the most important thing is missing: A copy of /var/log/syslog which would be the primary source of information for us to debug this. The others are only side note information.

Uranicus (matthias.ritter) wrote :
  • syslog Edit (19.1 MiB, application/octet-stream)

ergh ..., sorry I missed that, please find attached

Uranicus (matthias.ritter) wrote :
Download full text (18.8 KiB)

Reporting on Bluetooth bug 1500242

I have send such a report on December, 6th 2015 where I have tested the rc-proposed with my Jabra device. At that time the syslog-file was missing which I have added later. I found out later, that syslog is a rolling log, therefore maybe not all test logs are part of that syslog.

I have taken the time today to retest all that with the following devices. I attach the log files:

Audi A3 car kit (2012 model)
Seat Alhambra car kit (2012 model)
Jabra BT250 head set
Logitech bluetooth mouse LogiLink ID0078 (Compatible to BT1.1/2.0/3.0+EDR)

Before testing I deleted all existing pairings with the devices and started from scratch.
System Information of the device
Detailed image information of the system used for testing
system-image-cli -i:

current build number: 196
device name: krillin
channel: ubuntu-touch/rc-proposed/bq-aquaris.en
last update: 2015-12-05 18:28:01
version version: 196
version ubuntu: 20151204.1
version device: 20151028-869191d
version custom: 20151111–36-46-vivid

hciconfig -a

hci0: Type: BR/EDR Bus: UART
 BD Address: 4C:74:03:64:75:ED ACL MTU: 1021:4 SCO MTU: 184:1
 UP RUNNING
 RX bytes:8537 acl:181 sco:0 events:502 errors:0
 TX bytes:221664 acl:460 sco:0 commands:72 errors:0
 Features: 0xbf 0x3e 0x8d 0xfe 0xdb 0xff 0x5b 0x87
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy: RSWITCH SNIFF
 Link mode: SLAVE ACCEPT
 Name: 'Aquaris E4.5 Ubuntu Edition'
 Class: 0x7e0110
 Service Classes: Networking, Rendering, Capturing, Object Transfer, Audio, Telephony
 Device Class: Computer, Handheld
 HCI Version: 4.0 (0x6) Revision: 0x0
 LMP Version: 4.0 (0x6) Subversion: 0x0
 Manufacturer: MediaTek, Inc. (70)

bluetoothctl

[NEW] Controller 4C:74:03:64:75:ED Aquaris E4.5 Ubuntu Edition [default]

[bluetooth]# show
Controller 4C:74:03:64:75:ED
 Name: Aquaris E4.5 Ubuntu Edition
 Alias: Aquaris E4.5 Ubuntu Edition
 Class: 0x7e0110
 Powered: yes
 Discoverable: no
 Pairable: yes
 UUIDs:
   Headset AG (00001112-0000-1000-8000-00805f9b34fb)
   Generic Attribute Profile (00001801-0000-1000-8000-00805f9b34fb)
   A/V Remote Control (0000110e-0000-1000-8000-00805f9b34fb)
   SIM Access (0000112d-0000-1000-8000-00805f9b34fb)
   Generic Access Profile (00001800-0000-1000-8000-00805f9b34fb)
   PnP Information (00001200-0000-1000-8000-00805f9b34fb)
   A/V Remote Control Target (0000110c-0000-1000-8000-00805f9b34fb)
   Handsfree (0000111e-0000-1000-8000-00805f9b34fb)
   Audio Source (0000110a-0000-1000-8000-00805f9b34fb)
   Dialup Networking (00001103-0000-1000-8000-00805f9b34fb)
   Audio Sink (0000110b-0000-1000-8000-00805f9b34fb)
   Handsfree Audio Gateway (0000111f-0000-1000-8000-00805f9b34fb)
   Message Notification Se.. (00001133-0000-1000-8000-00805f9b34fb)
   Phonebook Access Server (0000112f-0000-1000-8000-00805f9b34fb)
 Modalias: usb:v1D6Bp0246d0523
 Discovering: no
Modifications on the device (debugging information)
sudo mount -o remount,rw /
Since no bluetooth-override file was available I used:

sudo sed -i 's/exec \/usr\/sbin\/bluetoothd/exec \/usr\/sbin\/bluetoothd -d/g' /etc/i...

Uranicus (matthias.ritter) wrote :

report in odt, pdf and log files

Uranicus (matthias.ritter) wrote :

Dear all,

in case there is something new on rc-proposed please let me know. I will then test it according to my procedure above and will give you a feedback,

merry Christmas and a happy new year,

Matthias

Uranicus (matthias.ritter) wrote :

Is there something I can do to push this over the finish line before OTA9 freeze?

Pat McGowan (pat-mcgowan) wrote :

logs from dec 9 seem to have a lot of good data

Changed in canonical-devices-system-image:
importance: Undecided → High
milestone: none → ww08-2016
Jarlaxle (jarlaxle-drow) wrote :

I've got the same issue with BQ Aquaris e4.5, Parrot CK3100 Handsfree and Ford Audio System
I was Unable to link devices

current build number: 630
device name: krillin
channel: ubuntu-touch/rc-proposed/bq-aquaris.en-proposed
last update: 2016-01-21 06:46:21
version version: 630
version ubuntu: 20160121
version device: 20160108-efc96d8
version custom: 2016011–926-36--vivid

Changed in canonical-devices-system-image:
importance: High → Critical
tags: removed: bluetooth-ota9
Simon Fels (morphis) wrote :

I looked a bit through the logs files this morning and will enumerate my findings per device.

1. Audio A3

The paring attempt is clearly visible in the log files. It first tries to use the automatic-pin-guesser which fails after one attempt and then switches back to ask the connected agent (aka settings application). However it never gets any input back from the agent and therefore the pairing attempt fails (or is denied from the agent which isn't visible from the log file).

That the automatic-pin-guesser is involved is fine and no issue. What seems to be the problem is the communication between the settings application (running the bluez agent) and bluez itself while required to provide a PIN/Passcode for proper authentication.

Around the same time we only see the following output from the settings application:

2015-12-09 08:58:26,823 - WARNING - Failed to start device discovery: "Operation already in progress"
2015-12-09 08:58:29,983 - WARNING - Cancel callback called
2015-12-09 08:58:29,983 - WARNING - Failed to pair with device: "Authentication Failed"

With that we basically know the agent is properly connected but somehow failed to display a popup to let the user acknowledge the pairing or enter a PIN/passcode. What is also interesting is that Matthias describes in his document that he entered the PIN around 8:58.

So there seems to be something really wrong with the communication between agent and bluez.

@Matthias: Are you 100% sure you entered the correct PIN? 1234 as written in your doc doesn't seem to be on the car shows you to enter.

2. Jabra headset

Gets paired correctly via auto-pin-guesser. Otherwise I see what Matthias describes in his document. The device pairs and connects successsfully and then is disconnected because it is turned off. The reconnection attempt from the device doesn't say much:

Dec 9 09:24:38 ubuntu-phablet bluetoothd[887]: src/adapter.c:connected_callback() hci0 device 00:07:A4:00:A7:05 connected eir_len 5
...
Dec 9 09:25:06 ubuntu-phablet bluetoothd[887]: src/adapter.c:bonding_attempt_complete() hci0 bdaddr 00:07:A4:00:A7:05 type 0 status 0xe
Dec 9 09:25:06 ubuntu-phablet bluetoothd[887]: src/device.c:device_bonding_complete() bonding (nil) status 0x0e
Dec 9 09:25:06 ubuntu-phablet bluetoothd[887]: src/device.c:device_bonding_failed() status 14

Which basically says there is something going wrong with the security setup. As the last lines say that a authenticated connection couldn't be established.

Reason for this could be multiple things. Either the headset looses the bonding information or we don't save those properly for the next time.

3. Logitec Bluetooth Mouse

Basically I can see in the logs what Matthias is describing in his document. The bonding attempt fails at the lower levels somehow and afterwards it looks a bit like the mouse things its connected and we think we're not as the mouse tries to initiate a connection multiple times and we always deny as we're not paired. Needs further investigation on the lower (HCI) level.

@Matthias: Can you give us the exact model number for the mouse?

Simon Fels (morphis) on 2016-03-01
Changed in bluez (Ubuntu):
status: Incomplete → Confirmed
Uranicus (matthias.ritter) wrote :

@Simon

Thanks for picking this up again.

Topic 1. Audio A3: I will test this this evening or tomorrow and will give you a feedback. I am very sure that the pin I have entered was correct but I will check this again.

Topic 3. Logitec Bluetooth Mouse
For both channels (OTA9.1 & rc-proposed (current: 270)) I can now connect the mouse. Output during pairing is:

[NEW] Device 00:80:00:00:15:76 Bluetooth Mouse
[CHG] Controller 4C:74:03:64:75:ED Discoverable: no
[CHG] Controller 4C:74:03:64:75:ED Discoverable: yes
[CHG] Device 00:80:00:00:15:76 RSSI: -33
[CHG] Device 00:80:00:00:15:76 RSSI is nil
[CHG] Controller 4C:74:03:64:75:ED Discovering: no
[CHG] Device 00:80:00:00:15:76 Connected: yes
[CHG] Device 00:80:00:00:15:76 Modalias: usb:v099Ap0500d011B
[CHG] Device 00:80:00:00:15:76 UUIDs: 00001124-0000-1000-8000-00805f9b34fb
[CHG] Device 00:80:00:00:15:76 UUIDs: 00001200-0000-1000-8000-00805f9b34fb
[CHG] Device 00:80:00:00:15:76 Paired: yes
[CHG] Device 00:80:00:00:15:76 Trusted: yes

I was mistaken myself and therefore also my writing in the past: this in NOT a Logitech mouse. It is LogiLink (looks like Logitech, ...) and the packaging simply states: ID0078.

Do you need any more information for topic 2. Jabra headset?

Thanks for the work,

Matthias

Uranicus (matthias.ritter) wrote :

@Simon

Now the promised update to topic 1. Audio A3:

I have used the correct PIN: 1234. I have tested this with another Android phone which I have paired with the car using this PIN.

Then I retried the pairing with my Ubuntu Phone with the same result as above. I started this at:

01.03.2016, 21:20 h CET

I have updated the log files with todays result of the pairing test using the following OS version:

current build number: 30
device name: krillin
channel: ubuntu-touch/stable/bq-aquaris.en
last update: 2016-03-01 16:16:34
version version: 30
version ubuntu: 20160217.1
version tag: OTA-9.1
version device: 20160108-efc96d8
version custom: 20160111-926-36--vivid

If you need anything else, please let me know,

Matthias

Simon Fels (morphis) on 2016-03-10
tags: added: bluetooth-ota10

Hi,

We will try to resolve this issue, hopefully, in the coming days/weeks or get
closer to understanding the root cause. However before we start I would like you
to retest again because we have made a significant change recently with updating
the BlueZ version to 5.37 as well as we might have a fix for the Audi issue
already. If you could be so kind to give it a spin and report back on what is
happening that would be awesome.

Prerequisities:

1. Update the phone

The latest rc-proposed would be a good choice as we are pushing good stuff into
it. Make sure that the phone runs bluez 5.37 by executing:

$ dpkg -l bluez

2. Install the silo with the possible Audi fix (see comments below)

I saw that you were able to install to rc-proposed on your own therefore I
suggest trying the silo too. However if you feel uncertain about this just skip
it as eventually whatever is in silos finds it's way to rc-proposed quite fast.

In order to install a silo you need to install phablet-tools package on your
Ubuntu running computer. The PPA is here:
https://launchpad.net/~phablet-team/+archive/ubuntu/tools

Installing a silo is done by executing command

$ citrain device-upgrade <silo-number> <pin-code>

where the silo-number indicates the silo which you would like to install and the
pin code indicates the four-digit code that you use to unlock the phone [it
happens to be the user password too]. So for this silo you need to run:

$ citrain device-upgrade 67 <your-pin>

The citrain tool will install everything for you and reboot the phone.

Testing:

I would like you to try these scenarios again with both Audi and Jabra. If you
observe that if still is buggy then please capture the logas as you did
previously.

Let me know if there is anything that I could clarify more regarding updating
and such.

Thanks,
Konrad

Changed in canonical-devices-system-image:
status: Confirmed → In Progress
Uranicus (matthias.ritter) wrote :

Hi Konrad,

thanks for working on this issue!

I am on the following version:

current build number: 286
device name: krillin
channel: ubuntu-touch/rc-proposed/bq-aquaris.en
last update: 2016-03-18 08:33:28
version version: 286
version ubuntu: 20160318
version device: 20160108-efc96d8
version custom: 20160111-926-36--vivid

I have checked with above command that bluez 5.37 is installed.

I have checked if the Jabra 250 works before installing silo 67 and I experienced the same behaviour as before: directly after the pairing process it works as expected and as soon as I shut off the bluetooth device and reconnect this connection does not work.

I then followed step 2. I have installed silo 67. Just to cross check: I got from the terminal the information that the following parts will be updated:

The following NEW packages will be installed:
  libgeonames0
The following packages will be upgraded:
  libsystemsettings1 ubuntu-system-settings
2 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 1,240 kB of archives.
After this operation, 517 kB of additional disk space will be used.
Get:1 http://ppa.launchpad.net/ci-train-ppa-service/stable-phone-overlay/ubuntu/ vivid/main libgeonames0 armhf 0.1+15.04.20160315-0ubuntu1 [352 kB]
Get:2 http://ppa.launchpad.net/ci-train-ppa-service/landing-067/ubuntu/ vivid/main ubuntu-system-settings armhf 0.3+15.04.20160318-0ubuntu1 [880 kB]
Get:3 http://ppa.launchpad.net/ci-train-ppa-service/landing-067/ubuntu/ vivid/main libsystemsettings1 armhf 0.3+15.04.20160318-0ubuntu1 [8,114 B]

Is this as you have expected? I then tried to reconnect the Audi A3. It did not work. But I got a bit further than during my last attempts. The phone seemed to be able to extablish a connection (but the car did not verify this connection, it just said in the IN CAR display: "please wait ...".

I was able to start a command line while the phone was connected to start bluetoothctl:

[Audi UHV 4272]# info
Device 00:0E:9F:E8:3A:24
 Name: Audi UHV 4272
 Alias: Audi UHV 4272
 Class: 0x200408
 Icon: audio-card
 Paired: yes
 Trusted: yes
 Blocked: no
 Connected: yes
 LegacyPairing: no

But finally I had to give up after several connections and disconnections.

Log files are attached. Best success in finding the root cause!

If I can help furhter, please let me know!

Jim Hodapp (jhodapp) wrote :

I'm experiencing some similar difficulties with my 2016 VW GTI. I haven't had a chance to gather any useful logs for it yet and need to play around some more to see more precisely how it's failing and the steps to reproduce.

I have analyzed the syslog and must say that this is a strange one to figure out.

There is a strange line in the syslog saying that the error is "Device or respurce busy" and it happens for many actions such as SDP Query for example. It is reported for bonding attempts which fail with code either 3 [first] or 2 [2nd and following] which is respectively a Remote Disconnection and Local Disconnection.

This is some kind of race as the "Device or resource busy" first happens after the bonding attempt is disconnected from the remote side.

What happens in the syslog:

1. Devices Jabra, Mouse, Seat created from storage. Devices set_bonded()
2. Probing profiles for all of the created devices.
    ) Seat: PAN, Media Control, A2DP source & sink
    ) Mouse: Input
    ) Jabra: nothing returned ??
3. Devices added to whitelist
4. Probing profiles
5. Disconnected device Jabra [bonding failed] reason 3 [remote disconnected]
6. Attempt to probe hfp_ag for Jabra, failed. SDP returns Device or resource busy.
7. Deiscovered Audi, bonding/connection fails as above.

@Uranicus:

Could you remove the local devices database [forget devices, make sure that /var/lib/bluetooth contains nothing], reboot and try connecting to Audi or Seat? This is for isolating the issue. Thanks in advance.

Uranicus (matthias.ritter) wrote :

@Konrad

I will run the following on my phone:

sudo rm /var/lib/bluetooth/* -rf

This should empty the directory as you have indicated. Then I will reconnect to Seat & Audi.

One question: do you want me to reinstall silo 67? I am on:

current build number: 298
device name: krillin
channel: ubuntu-touch/rc-proposed/bq-aquaris.en
last update: 2016-03-30 06:12:51
version version: 298
version ubuntu: 20160330
version device: 20160323-1467d3c
version custom: 20160324--36-54-vivid

and I have not re-flashed my device since I have installed silo 67. So do you think I can just give it a go as it is?

@Uranicus

You could try first to remove the devices [forget] using the Settings -> Bluetooth. You do not need to reinstall the silo once it has been already installed.

Uranicus (matthias.ritter) wrote :

@Konrad

I hope I did what you have expected:

at first I tried to forget the device (Seat_BT, 4C:74:03:64:75:ED). But even after that and after a reboot I could find a directory with the address of the device in (var/lib/bluetooth/4C:74:03:64:75:ED).

In a second step I deleted the content of the bluetooth directory with:

sudo rm /var/lib/bluetooth/* -rf

The directory was then empty - as expected.

In a second step I reconnected my Seat_BT with the phone. It worked again as it should. If you are looking at the logs it was at 30.03.2016 at approx 18:08 h CET. (You can also find the same attempts earlier). I can do calls, listen to music, etc.

I then also tested the Audi (30.03.2016 20:45 h CET). For this test I have not deleted the profile of the Seat_BT - should I??

During the attempt to connect to the Audi I still have the same issue as before:

The phone finds the Audi as "Audi UHV 4272".
The phone asks for the pairing key (1234). This is the correct key since another phone can be connected to the Audi with this pairing key.
It creates an entry in the list of devices in system-settings, bluetooth menu.
But in var/lib/bluetooth/ no additional directory has been added.

But the car itself never recognizes that a phone is connected to the car.

Approx. 30 seconds after the connection it (phone or car? I do not know) disconnects again.
Waiting for approx. 30 - 60 sec. repeats this action (connect, after approx. 30 seconds disconnect).

I have attached the logs again.

I will "loose" my test candidate (the Seat_BT) tomorrow since I have to hand in the car again. So for the Seat device I can not do any more testing. I will keep the Audi and the Jabra250! The ones that do not work with my phone :-(( ... ;-) ..

Matthias

@Uranicus

Thanks for the try and if you could do one more with Audi however this time w/o the previous history so after forgetting all of the devices and the reboot. This is to isolate the issue and reduce the noise in the logs.

Uranicus (matthias.ritter) wrote :

@Konrad

I have now isolated as requested the Audi only. Please check the logs from 31.03.2016 17:45 h CET onwards.

If you need anything else, please let me know, I am happy to support!

Uranicus (matthias.ritter) wrote :

I have also attached a screenshot of the bluetoothctl output (of the results from 17:54 h - 17:58 h) where you see that the device connects and disconnects.

Changed in canonical-devices-system-image:
milestone: ww08-2016 → 11

@Uranicus,

Thanks for the logs and screenshot. I had some time to review these and they do put some light on the whole issue. It is still far to find the root cause (or perhaps it is just around a corner;) nevertheless we are looking into it.

@Uranicus

Are you abel to do this test, i.e.try to pair and connect with your car however using the bluetoothctl and *not* opening the system settings at all. This is to tell if we should be still worried about our recent update to the system-settings or we can rule this out and seek some other place for a flaw.

Stefan Hammes (stefan-hammes) wrote :

Aquarius E5
OTA-10.1:
With a Porsche 911 Car (2011), pairing does not work, too.
The bluetooth system in the car searches for devices and shows "Aquaris E5.0 Ubuntu Edition"
then prompts me to connect with a 4-digit pin code,
after typing the code, the Ubuntu phone doesn't react
The Porsche car system says, that there is still missining a confirmation on the Ubuntu phone,
but on the phone no further screen appears, so no connection

Kevin Bradley (ke6in) wrote :

Aquaris E.45
OTA 10.1

Pairing does not work with Toyota Avensis (2010 model)
Also does not work with Parrot Minikit portable handsfree kit (approx 10 years old)

On both, entering the pairing PIN results in no action from the phone, and "pairing failed" message on the other device.

Mike Jelfs (mike-jelfs) wrote :

Meizu MX4
OTA 10.1

This could be related, I can pair my phone with my Honda CRV (2014) but no audio output from either the car or the phone when making or receiving a call.

Changed in canonical-devices-system-image:
milestone: 11 → 12

Hi @kzapalowicz and @morphis:

More information and logs about pairing and connecting with Ford Audio System of a Ford Fiesta:

Here is what I did:

12:30 PARTY STARTED: Fist attempt, paired but not connected
12:49 paired again, I tried to connect it but BT in Krillin disconnects
12:52 second attempt to connect, Krillin BT disconnects
12:54 third attempt to connect and again BT disconnects

Notes:

--> I've tried it with another Vegeta LTE(Qlcomm) and the main difference in the procedure is that E5 once it is paired, it automatically seems to be connected and working because there is a BT logo in the onboard screen(watch pic_E5.jpg-9
--> This BT logo tells the user, that it is connected and ready to go. Unfortunately Krillin appears paired(watch pic_Krillin.jpg) but it never gets enabled/activated because that BT logo never becomes blue and Krillin disconnects it self when trying to connect to the BT carkit.

Additional info: attachment with pics and logs(syslog and application-legacy-ubuntu-system-settings-.log) with BT verbose+pulse audio enabled

Please find attached logs from a BT success pairing and functioning with Renault Clio. Hope it is useful.

Time stamp:

9:32 - Start test
9:35 - Successfully paired
9:35-36 - Phone call done properly

Maureen (omaureen24) wrote :

No idea whether this observation is related: For me it actually makes a difference whether the connection to the handsfree device (Funkwerk Ego Flash) is initiated by the phone (E 4.5) or the device itself.

When the handfree device connects to the phone, I experience the symptoms of "no audio" on phone calls as described above.

However, when the phone initiates the BT pairing, everything works just smoothly.

(If unrelated, please delete this comment.)

Stefan Hammes (stefan-hammes) wrote :

Aquaris E5
Porsche 911 Car 997 (2011)

Update with OTA 11:
After prompting to connect with a 4-digit pin code,
the Ubuntu phone connected with the Car and
synchronized adressbook and phone lists on the car display, fine.
But after leaving and retourning to the car the phone did not reconnect anymore.
So it is still an issue.

Changed in canonical-devices-system-image:
milestone: 12 → 13
Stefan Hammes (stefan-hammes) wrote :

Aquaris E5
Porsche 911 car 997 (2011)

Update with OTA 12:

After prompting to connect with a 4-digit pin code,
the Ubuntu phone connected with the car and synchronized the adressbook.
Phone calls did not work: dealing and connection created, but no sound over the car microphone and speakers.

After leaving and returning to the car the phone did not reconnect anymore.
The same happens after turning the car audio off and on again.
No way to reconnect the Aquaris E5 to the car.

After so many OTAs it is a disaster with this bluetooth function.

Hey,

we are releasing the major update to the Bluetooth for our phones with OTA13. First there is an updated BlueZ version; second there is a fix for in-car Bluetooth in a situation where the pairing has been initiated by the device [not the phone].

@Stefan

I understand your frustration however let me assure you that we are struggling to get things right with Bluetooth however we need to take things bit by bit and first we've tackled the pairing problems. The others will come next.

Wilson (wilson-ubuntu) wrote :

Similar problem with my Anker SoundBuds AK-A3233011: as the phone (Aquaris E4.5) connect with the BT device the BT cease to function: I cannot set BT of or set Airplane Mode; even a reboot will never complete, I must force a full shutdown.

The device has some glitch with Ubuntu for desktop, also: sometimes it will not switch from the headset mode to A2DP.

Mite (s-inf7-q) wrote :

Aquarius E5
OTA-13:
From OTA-5 to OTA-13 the conversation is mute if I use Bluetooth connection via Parrot system.

Uranicus (matthias.ritter) wrote :

Dear Konrad,

sorry for not replying so long.... With the current rc:

current build number: 431
device name: krillin
channel: ubuntu-touch/rc-proposed/bq-aquaris.en
last update: 2016-09-17 07:25:24
version version: 431
version ubuntu: 20160917
version device: 20160606-ab415b2
version custom: 20160831-991-38-18

the connection the the Audi A3 and Jabra does not work. I have attached a screen shot where I tried the connection manually with bluetoothctl. I have also attached my logs of that day. I hope this helps to get a bit deeper in this issue.

Matthias

Changed in canonical-devices-system-image:
milestone: 13 → backlog
Wilson (wilson-ubuntu) wrote :

OTA13 did not solve the problem with the Anker SoundBuds AK-A3233011: connecting the phone to it freeze the BT support

Stefan Hammes (stefan-hammes) wrote :

Aquaris E5 HD
Porsche 911 car, model 997 (2011)

Update with OTA 13:

Again no sucess to connect the phone to the car.

After typing the 4-digit pin code into the Aquaris E5,
the phone displays, it is connected to the car's PCM (Porsche Communication Management).
The car displays, that there "is still a confirmation by the phone missing".
But no confirmation dialog is promting on the phone.
After that the displayed connection with the car disappers from the phone.

Dear Konrad,
I understand well, that it takes time to take things bit by bit.
So I am still disappointed after so many OTAs, but hopeful and patient.

Greetings, Stefan

Georges Thill (gthill) wrote :

Meizu MX4, OTA-13
Seat Altea car, model 2009

No success to connect. At first the phone shows connected, but no feedback is shown on the car side. Then, after a while the phone says it is disconnected. Pretty much the same (mis-) behaviour in every OTA since the very beginning when I bought the MX4.

asier urbina (a-urbina) wrote :

Hello all,

I am getting the same problem.
I use BQ Aquaris E4.5 and my car is Seat Altea XL 2010 version.
The phone finds the car bluetooth, I can connect to it, I get the PIN request, and the device gets paired. Even the bluetooth icon changes its colour to white.
But when i try to make a call, or to access the contacts, the connection goes down.

I would like to tell that for me it is really frustrating to see how the problems with the bluetooth system are going from one OTA to the following, or worse in this case that it is being redirected to backlog, without being solved.
In my case it is very important to connect the phone with the car, as i haveto drive long distances and need to make or recieve calls for work purposes.

Thank you for your support and work.
Best regards.

jose sanchez (speedracer08861) wrote :

I can connect and pair perfectly on my meizu pro5 but the audio is so bad that all you hear is static and then it hangs up he call 3 min later

Cesar Herrera (chg1) wrote :

Also in Citroen C4 with BQ E4.5

Changed in canonical-devices-system-image:
assignee: John McAleely (john.mcaleely) → nobody
Uranicus (matthias.ritter) wrote :

Will someone pick this issue up? Or are you dropping this bug because there will be a re-write of the bluetooth framework for the snappy image later on?

Please let us know a bit of what is going on.

Thanks!

Pat McGowan (pat-mcgowan) wrote :

The bluez snap is based on the same code, but many of these issues are device specific and difficult to resolve without those specific environments. I believe the maintainer is still working on these connection issues in general.

Cesar Herrera (chg1) wrote :

I finally have paired the E4.5 to Citroen C4. A call starts but it's impossible to hear anything.

Ferry Toth (ftoth) wrote :

I have a similar issue with Meizu MX4 which pairs, connects but drops the connection to the car kit after being connected 2 sec.

This bug hasn't been resolved in 1 1/2 year time and ota5 - ota14 releases. Now we hear that there will not be a ota15 for a long while and maybe even never for the Meizu and BQ, it looks it will never be fixed.

I really don't think ubuntu phone has a future it we can't get a simple thing to work like hands free calling in the car, or playing music over the car speakers.

Stefan Hammes (stefan-hammes) wrote :

Aquaris E5 HD
Porsche 911 car, model 997 (2011)

Update with OTA 15:

Again no sucess to connect the phone to the car.

After typing the 4-digit pin code into the Aquaris E5,
the phone displays, it is connected to the car's PCM (Porsche Communication Management).
The car displays, that there "is still a confirmation by the phone missing".
But no confirmation dialog is promting on the phone.
After that the displayed connection with the car disappers from the phone.

I am very sorry about that, after so many OTAs.

tags: added: bluez-touch
Daniel van Vugt (vanvugt) wrote :

Ubuntu Touch is no longer supported.

Changed in bluez (Ubuntu):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers